Loading...
Searching...
No Matches
OsiClpDisasterHandler Class Reference

`#include <OsiClpSolverInterface.hpp>`

Inheritance diagram for OsiClpDisasterHandler:
[legend]
Collaboration diagram for OsiClpDisasterHandler:
[legend]

## Public Member Functions

Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()
| Into simplex.
virtual bool | check () const
| Checks if disaster.
virtual void | saveInfo ()
| saves information for next attempt
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort.
Constructors, destructor
| OsiClpDisasterHandler (OsiClpSolverInterface *model=NULL)
| Default constructor.
virtual | ~OsiClpDisasterHandler ()
| Destructor.
| OsiClpDisasterHandler (const OsiClpDisasterHandler &)
OsiClpDisasterHandler & | operator= (const OsiClpDisasterHandler &)
virtual ClpDisasterHandler * | clone () const
| Clone.
Sets/gets
void | setOsiModel (OsiClpSolverInterface *model)
| set model.
OsiClpSolverInterface * | osiModel () const
| Get model.
void | setWhereFrom (int value)
| Set where from.
int | whereFrom () const
| Get where from.
void | setPhase (int value)
| Set phase.
int | phase () const
| Get phase.
bool | inTrouble () const
| are we in trouble
Public Member Functions inherited from ClpDisasterHandler
| ClpDisasterHandler (ClpSimplex *model=NULL)
| Default constructor.
virtual | ~ClpDisasterHandler ()
| Destructor.
| ClpDisasterHandler (const ClpDisasterHandler &)
ClpDisasterHandler & | operator= (const ClpDisasterHandler &)
void | setSimplex (ClpSimplex *model)
| set model.
ClpSimplex * | simplex () const
| Get model.

## Protected Attributes

Data members
The data members are protected to allow access for derived classes.
OsiClpSolverInterface * | osiModel_
| Pointer to model.
int | whereFrom_
| Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve).
int | phase_
| phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis
bool | inTrouble_
| Are we in trouble.
Protected Attributes inherited from ClpDisasterHandler
ClpSimplex * | model_
| Pointer to simplex.

## Detailed Description

Definition at line 1504 of file OsiClpSolverInterface.hpp.

## Constructor & Destructor Documentation

## OsiClpDisasterHandler() [1/2]

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | OsiClpSolverInterface * | model = NULL | ) |

Default constructor.

## ~OsiClpDisasterHandler()

virtual OsiClpDisasterHandler::~OsiClpDisasterHandler | ( |  | ) |

virtual

Destructor.

## OsiClpDisasterHandler() [2/2]

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | const OsiClpDisasterHandler & |  | ) |

## Member Function Documentation

## intoSimplex()

virtual void OsiClpDisasterHandler::intoSimplex | ( |  | ) |

virtual

Into simplex.

Implements ClpDisasterHandler.

## check()

virtual bool OsiClpDisasterHandler::check | ( |  | ) | const

virtual

Checks if disaster.

Implements ClpDisasterHandler.

## saveInfo()

virtual void OsiClpDisasterHandler::saveInfo | ( |  | ) |

virtual

saves information for next attempt

Implements ClpDisasterHandler.

## typeOfDisaster()

virtual int OsiClpDisasterHandler::typeOfDisaster | ( |  | ) |

virtual

Type of disaster 0 can fix, 1 abort.

Reimplemented from ClpDisasterHandler.

## operator=()

OsiClpDisasterHandler & OsiClpDisasterHandler::operator= | ( | const OsiClpDisasterHandler & |  | ) |

## clone()

virtual ClpDisasterHandler * OsiClpDisasterHandler::clone | ( |  | ) | const

virtual

Clone.

Implements ClpDisasterHandler.

## setOsiModel()

void OsiClpDisasterHandler::setOsiModel | ( | OsiClpSolverInterface * | model | ) |

set model.

## osiModel()

OsiClpSolverInterface * OsiClpDisasterHandler::osiModel | ( |  | ) | const

inline

Get model.

Definition at line 1541 of file OsiClpSolverInterface.hpp.

## setWhereFrom()

void OsiClpDisasterHandler::setWhereFrom | ( | int | value | ) |

inline

Set where from.

Definition at line 1546 of file OsiClpSolverInterface.hpp.

## whereFrom()

int OsiClpDisasterHandler::whereFrom | ( |  | ) | const

inline

Get where from.

Definition at line 1551 of file OsiClpSolverInterface.hpp.

## setPhase()

void OsiClpDisasterHandler::setPhase | ( | int | value | ) |

inline

Set phase.

Definition at line 1556 of file OsiClpSolverInterface.hpp.

## phase()

int OsiClpDisasterHandler::phase | ( |  | ) | const

inline

Get phase.

Definition at line 1561 of file OsiClpSolverInterface.hpp.

## inTrouble()

bool OsiClpDisasterHandler::inTrouble | ( |  | ) | const

are we in trouble

## Member Data Documentation

## osiModel_

OsiClpSolverInterface* OsiClpDisasterHandler::osiModel_

protected

Pointer to model.

Definition at line 1575 of file OsiClpSolverInterface.hpp.

## whereFrom_

int OsiClpDisasterHandler::whereFrom_

protected

Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve).

Definition at line 1583 of file OsiClpSolverInterface.hpp.

## phase_

int OsiClpDisasterHandler::phase_

protected

phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis

Definition at line 1591 of file OsiClpSolverInterface.hpp.

## inTrouble_

bool OsiClpDisasterHandler::inTrouble_

protected

Are we in trouble.

Definition at line 1593 of file OsiClpSolverInterface.hpp.

The documentation for this class was generated from the following file:

- Clp/src/OsiClp/OsiClpSolverInterface.hpp